Download it now!
Bug 100122 - FORMATTING: Extra white space at beginning of fraction if no integer part
Summary: FORMATTING: Extra white space at beginning of fraction if no integer part
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-29 15:08 UTC by Laurent BP
Modified: 2016-10-25 18:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example of format which makes appear extra white space (7.38 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-05-29 15:08 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2016-05-29 15:08:56 UTC
Created attachment 125376 [details]
Example of format which makes appear extra white space

Description: user defined fraction format such as ?/? (without integer part) are always represent with an extra white space at the beginning

Steps to reproduce:
1. Format cell with ?/? as number format
2. Insert -0.5 in same cell

Actual behavior:
A white space is inserted between - (minus) and first digit (1)
- 1/2

Expected behavior:
No white space at the beginning as specified by number format
-1/2

The bug is more visible with negative value, but occurs whatever the value. It is then visible when you force left alignment.
Comment 1 Commit Notification 2016-05-30 22:48:07 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3471916370c53c6627ba4010489f539c174bdf9

tdf#100122 Correctly treat fraction without integer part

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-06-02 10:45:03 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1744120145648a891b58af8c85af7585f38696f6&h=libreoffice-5-2

tdf#100122 Correctly treat fraction without integer part

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.